/*********************************************************************************
 *																				
 *   e-Mail Notify - Internet e-Mail Notifier
 *   Copyright (C) 1996-1998 Ludovic Dubost <ldubost@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  
 **********************************************************************************/


/////////////////////////////////////////////////////////////////////////////
// CPPOpt6 dialog

class CPPOpt6 : public CPropertyPage
{
	DECLARE_DYNCREATE(CPPOpt6)

// Construction
public:
	void UpdateControls();
	CPPOpt6();   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPPOpt6)
	enum { IDD = IDD_OPTIONS6 };
	CEdit	m_remote_time_edit;
	CButton	m_remote_monitor_checkbox;
	CButton	m_remote_dialin_checkbox;
	CButton	m_remote_ask_checkbox;
	CComboBox	m_servicelist;
	CString	m_service;
	BOOL	m_remote_ask;
	BOOL	m_remote_dialin;
	BOOL	m_remote_monitor;
	UINT	m_remote_time;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPPOpt6)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPPOpt6)
	afx_msg void OnEditentry();
	afx_msg void OnLogonas();
	afx_msg void OnNewentry();
	afx_msg void OnOptionChanged();
	afx_msg void OnRemoteMonitor();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	afx_msg LONG OnHelp(UINT wParam,LONG lParam);
	afx_msg LONG OnContextMenu(UINT wParam,LONG lParam);

    void FillServiceList();

public:
    void UpdatePOPClientFromPage();


	DECLARE_MESSAGE_MAP()
};
