/*********************************************************************************
 *																				
 *   e-Mail Notify - Internet e-Mail Notifier
 *   Copyright (C) 1996-1998 Ludovic Dubost <ldubost@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  
 **********************************************************************************/



#define SZ_RASDIAL "RasDialA"
#define SZ_RASHANGUP "RasHangUpA"
#define SZ_RASENUMCONNECTIONS "RasEnumConnectionsA"
#define SZ_RASENUMENTRIES "RasEnumEntriesA"
#define SZ_RASGETCONNECTSTATUS "RasGetConnectStatusA"
#define SZ_RASGETERRORSTRING "RasGetErrorStringA"
#define SZ_RASGETPROJECTIONINFO "RasGetProjectionInfoA"
#define SZ_RASCREATEPHONEBOOKENTRY "RasCreatePhonebookEntryA"
#define SZ_RASEDITPHONEBOOKENTRY "RasEditPhonebookEntryA"
#define SZ_RASSETENTRYDIALPARAMS "RasSetEntryDialParamsA"
#define SZ_RASGETENTRYDIALPARAMS "RasGetEntryDialParamsA"


#define RASDLL "RASAPI32.DLL"

#define ERR_LOAD_LIB  0x02
#define ERR_LOAD_FUNC 0x04

extern "C" 
{
typedef DWORD (FAR PASCAL *PFNRasDial)( LPRASDIALEXTENSIONS, LPSTR, LPRASDIALPARAMSA, DWORD,
                   LPVOID, LPHRASCONN );
typedef DWORD (FAR PASCAL *PFNRasEnumConnections)( LPRASCONNA, LPDWORD, LPDWORD );
typedef DWORD (FAR PASCAL *PFNRasEnumEntries)( LPSTR, LPSTR, LPRASENTRYNAMEA, LPDWORD,LPDWORD);
typedef DWORD (FAR PASCAL *PFNRasGetConnectStatus)( HRASCONN, LPRASCONNSTATUSA );
typedef DWORD (FAR PASCAL *PFNRasGetErrorString)( UINT, LPSTR, DWORD );
typedef DWORD (FAR PASCAL *PFNRasHangUp)( HRASCONN );
typedef DWORD (FAR PASCAL *PFNRasGetProjectionInfo)( HRASCONN, RASPROJECTION, LPVOID, LPDWORD);
typedef DWORD (FAR PASCAL *PFNRasCreatePhonebookEntry)( HWND, LPSTR );
typedef DWORD (FAR PASCAL *PFNRasEditPhonebookEntry)( HWND, LPSTR, LPSTR );
typedef DWORD (FAR PASCAL *PFNRasSetEntryDialParams)( LPSTR, LPRASDIALPARAMSA, BOOL );
typedef DWORD (FAR PASCAL *PFNRasGetEntryDialParams)( LPSTR, LPRASDIALPARAMSA, LPBOOL );
	}

extern PFNRasDial					lpfnRasDial;
extern PFNRasEnumConnections		lpfnRasEnumConnections;
extern PFNRasEnumEntries			lpfnRasEnumEntries;
extern PFNRasGetConnectStatus		lpfnRasGetConnectStatus;
extern PFNRasGetErrorString			lpfnRasGetErrorString;
extern PFNRasHangUp					lpfnRasHangUp;
extern PFNRasCreatePhonebookEntry	lpfnRasCreatePhonebookEntry;
extern PFNRasEditPhonebookEntry		lpfnRasEditPhonebookEntry;

int InitRAS();
int ExitRAS();

